#!/usr/bin/perl -w
use strict;
use Net::Snort::Parser::Rule;

open (F, '<', 't/all.rules') || die "can't open all.rules $!";

my @lines = <F>;

print "1.." . (scalar(@lines) * 2) . "\n";
my $obj = Net::Snort::Parser::Rule->new();

my $i = 0;
for (@lines) {
    chomp;
    my $res = $obj->parse_rule($_);
    my $fail;
    if (!defined($res)) {
        print "# rule at line $. failed and didn't return appropriate failure ($_)\n";
        $fail++;
    } elsif (defined($res->{'failed'})) {
        print "# rule at line $. failed:" . $res->{'failed'} . "\n";
        print "# $_\n";
        $fail++;
    }
    if ($fail) {
        print "not ok " . ++$i . "\n";
        print "not ok " . ++$i . "\n";
    } else {
        print "ok " . ++$i . "\n";
        my $rule = $obj->build_rule($res);
        if ($_ ne $rule) {
            print "# build rule not the same\n";
            warn "# GOT      : $rule\n";
            warn "# EXPECTED : $_\n";
            print "not ";
        }
        print "ok " . ++$i . "\n";
    }
#    last if ($i > 100);
}
