#!/usr/bin/perl

use Test::More tests => 6;
use Data::Dumper;
use Net::Snort::Parser::RuleOptions;

$Data::Dumper::Pad = "# ";

$| = 1; 
while(<DATA>) {
    chomp;
    next if /^#/;
    next if /^\s*$/;
    my ($in, $expected) = split(/\s+\|\|\s+/,$_,2);
    my $result = Net::Snort::Parser::RuleOptions::make_content_readable(pack('H*', $in));
    is($result, $expected);
}

__DATA__
7c || |7C|
616263 || abc
6120622063 || a b c
5c || |5C|
5c205c || |5C| |5C|
3a3b27225c || |3A 3B|'|22 5C|
