#!/usr/bin/perl -w

use strict;
use warnings;
use Test::More tests => 8;
use File::Spec::Functions qw(catfile);
use Data::Dumper;

BEGIN { use_ok('Net::Snort::Parser::RuleOptions'); }

my $x = Net::Snort::Parser::RuleOptions->new();
isa_ok($x, 'Net::Snort::Parser::RuleOptions');

my %options = (
    ftpbounce =>  {
        value => '',
        version => 240,
    },
    metadata => {
        value => 'service http',
        version => 261
    }
);


foreach my $option (keys %options) {
    ok($x->can($option), 'can ' . $option);
    my %rule;
    is($x->$option(\%rule,$options{$option}{'value'}), undef, 'parse ' . $option);
    if ($options{$option}{'version'}) {
        is($rule{'minimum_version'}, $options{$option}{'version'}, 'version ' . $option);
    } elsif ($rule{'minimum_version'}) {
        fail('version set, should not be. ' . $option);
    }
}
