use Cwd;

## Try to make sure we are in the test directory
my $cwd = Cwd::cwd();
chdir 't'  if ($cwd !~ m|/t$|);
$cwd = Cwd::cwd();

opendir(DIR,"$cwd/snortconfig/tests") || die "can't open test files $!\n";
my @tests = grep !/^\./, readdir DIR;
@tests = grep !/^CVS/, @tests;

print "1.." . scalar(@tests) . "\n";

my $i = 0;
foreach my $file (sort (@tests)) {
    if (! -d "$cwd/snortconfig/output/$file") {
        mkdir ("$cwd/snortconfig/output/$file") || die "Could not make test directories";
    }
    # warn ("perl -I../blib/lib ../snortconfig -config snortconfig/tests/$file -file snortconfig/rules/snort.conf -directory snortconfig/output/$file -honeynet");
    system("perl -I../blib/lib ../snortconfig -config snortconfig/tests/$file -file snortconfig/rules/snort.conf -directory snortconfig/output/$file -honeynet");
    # warn ("diff --exclude=CVS -ru snortconfig/expected/$file snortconfig/output/$file >/dev/null");
    if (system("diff --exclude=CVS -ru snortconfig/expected/$file snortconfig/output/$file >/dev/null")) {
        print "not ";
    }
    print "ok " . ($i + 1) ."\n";
    $i++;
}
